Subject: Re: bug#5551: 23.1.92; Dired shows wrongly whole directory contents

From: Chong Yidong <[email-masked]>
Date: Wed, 10 Feb 2010 04:27:27 -0500

Michael Albinus <[email-masked]> writes:

> According to the doc, dired shall show single file entries when called
> with a list of file names. If a file name is a directory, this works OK
> with remote directory names. But with local directory names, it shows
> the whole directory contents, which is wrong.

The doc seems ambiguous to me, and it is not clear to me what is the
better behavior.  Do you have an argument for why displaying just the
directory name is better?

But the present behavior has been around since at least Emacs 22, so I
don't think we should make this change right now in any case.